resBall = {}
resBall[1] = love.graphics.newImage("res/c1.png")
resBall[2] = love.graphics.newImage("res/c2.png")
resBall[3] = love.graphics.newImage("res/c3.png")
resBall[4] = love.graphics.newImage("res/c4.png")
resBall[5] = love.graphics.newImage("res/c5.png")

function love.load()
    -- initialize variables
    grids = {}
    balls = {}
    ready = false
    selection = 1
    score = 0
    worth = 0
    moves = 0
    total = 0
    
    LoadGrid()
end

function love.update(dt)
    
end

function love.draw()
    DrawGrid()
end

function love.mousepressed(x, y, key)
    if key == "l" then
        MouseDown()
    end
end

function MouseDown()
    local x, y = love.mouse.getPosition()
    for i, v in ipairs(balls) do
        if x > v.x and x < (v.x + v.w) and y > v.y and y < (v.y + v.h) then
            v.selected = true
        end
    end
end

-- create the grid and ball arrays
function LoadGrid()
    for y = 0, 16 do
        for x = 0, 18 do 
            local ball = {}
            ball.id = math.random(1, 5)
            ball.w = resBall[ball.id]:getWidth()
            ball.h = resBall[ball.id]:getHeight()
            ball.x = x * (ball.w + 1)
            ball.y = y * (ball.h + 1)
            ball.img = resBall[ball.id]
            ball.selected = false
            
            table.insert(grids, ball)
            table.insert(balls, ball)
        end
    end
end

function DrawGrid()
    for i, v in ipairs(balls) do
        if v.selected == true then
            love.graphics.rectangle("fill", v.x, v.y, v.w, v.h)
        end
        love.graphics.draw(v.img, v.x, v.y)
    end 
end